@rem windows online installer script
@rem copyright by Stefan Roettger
@rem contact: snroettg at gmail

@echo off
echo checking platform

rem internet check
ping /n 3 /w 3000 www.microsoft.com >nul 2>nul
if errorlevel 1 (
   echo ERROR: no internet connection
   pause
   exit /B 1
)

rem check for TortoiseSVN
where /Q svn 2>nul
if errorlevel 1 (
   echo ERROR: please download and install TortoiseSVN from
   echo  www.tortoisesvn.net
   pause
   exit /B 1
)

rem download package
echo downloading installation package
svn checkout --depth files http://svn.code.sf.net/p/glvertex/code/trunk download >nul 2>nul
svn update download/WGL >nul 2>nul

rem install package
if exist download/install.bat (
   echo downloading finished
   echo:
   echo performing package installation
   cd download
   call install.bat
   if errorlevel 1 (
      echo unable to finish installation
   )
   cd ..
) else (
   echo unable to download installation package
)
rmdir /Q /S download
