#!/bin/bash
# unix build script
# copyright by Stefan Roettger
# contact: snroettg at gmail

glvertexpath=..
if [ ! -e "$glvertexpath/glvertex.h" ]; then
   glvertexpath=../glvertex
fi

if [ -x "$glvertexpath/install.sh" ]; then
   (cd $glvertexpath; ./install.sh)
   failure=$?
   echo
else
   failure=0
fi

if [ ! $failure = 0 ]; then
   echo MANUAL INSTALLATION REQUIRED!
else
   echo COMPILATION IN PROGRESS
   echo
   ./generate.sh
   cmake . && make -j8
   failure=$?
   echo
   if [ $failure = 0 ]; then
      echo BUILD COMPLETE
   else
      echo BUILD INCOMPLETE!
   fi
fi
