#!/bin/bash
# unix script for generating qmake .pro files

if [ -e qt_common.pri ]; then
   common=$(<qt_common.pri)
   content="$common\n\n"'FILE = $$basename(_PRO_FILE_)\nSOURCES += $$replace(FILE, "\\\\.pro", ".cpp")'

   for cppfile in *.cpp
   do
      profile=${cppfile%.*}.pro
      if [ ! -e $profile ]; then
         printf "$content\n" >$profile
      fi
   done
fi

qmake_path="$(which qmake 2>/dev/null)"
if [ ! -x "$qmake_path" ]; then
   [ -d "/usr/local/qt4" ] && qmake_path="/usr/local/qt4/bin/qmake"
   [ -d "/usr/local/qt5" ] && qmake_path="/usr/local/qt5/bin/qmake"
   [ -d "/usr/local/qt6" ] && qmake_path="/usr/local/qt6/bin/qmake"
   [ -x "$(which qmake-qt5 2>/dev/null)" ] && qmake_path="$(which qmake-qt5 2>/dev/null)"
fi
if [ -x "$qmake_path" ]; then
   for profile in *.pro
   do
      xcodedir=${profile%.*}.xcodeproj
      if [ ! -d $xcodedir ]; then
         "$qmake_path" -spec macx-xcode $profile
      fi
   done
fi
