#!/bin/bash
# unix uninstall script
# copyright by Stefan Roettger
# contact: snroettg at gmail

# installation directory for glVertex headers
INSTALL=/usr/local
[ "$GLVERTEX_PATH" != "" ] && INSTALL="$GLVERTEX_PATH"
[ "$1" != "" ] && INSTALL="$1"

# sudo command
SUDO=sudo
[ "${INSTALL#$HOME}" != "$INSTALL" ] && SUDO=""

echo "FRAMEWORK UNINSTALLATION IN PROGRESS"

# uninstall glVertex
install="$INSTALL"/include
if [ -e "$install"/glvertex.h ]; then
   $SUDO rm "$install"/glvertex.txt "$install"/glslmath.h "$install"/glvertex*.h 2>/dev/null
   echo removed existing glVertex headers from $install
else
   echo no existing glVertex headers in $install
fi

echo FRAMEWORK UNINSTALLATION COMPLETE
